Dashboards & Visualizations

Version of Highcharts in the latest Splunk Enterprise

fjp2485
Engager

Hi,

Could you tell me that which version of Highcharts component is present in the latest version of Splunk, please?
Currently we are using Splunk Enterprise 7.2.3 and it uses Highcharts 4.0.4 which is not able to be loaded with ADM/Require.js.

Regards,
fjp2485

0 Karma

niketnilay
Legend

@fjp2485 Splunk 7.2.6 shows Created with Highcharts 5.0.12 message in the html DOM for chart svg created by Highcharts. However, the library exposed under search_msparkle is 4.0.4 from a long time now including the one in 7.2.6: search_mrsparkle\exposed\js\contrib\highcharts-4.0.4

In case you are planning to create your own custom visualization you can go ahead and import any version of Highcharts using Custom Visualization API with npm: https://docs.splunk.com/Documentation/Splunk/latest/AdvancedDev/CustomVizTutorial#Set_up_the_visuali...

____________________________________________
| makeresults | eval message= "Happy Splunking!!!"
0 Karma
.conf21 CFS Extended through 5/20!

Don't miss your chance
to share your Splunk
wisdom in-person or
virtually at .conf21!

Call for Speakers has
been extended through
Thursday, 5/20!